Security Lab

Целочисленное переполнение в IrfanView Formats Plug-in

Дата публикации:08.04.2009
Дата изменения:30.04.2009
Всего просмотров:2490
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: IrfanView Formats Plug-in 4.x
Уязвимые версии: IrfanView Formats Plug-in 4.22, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Целочисленное переполнение существует из-за ошибки при обработке XPM файлов. Удаленный пользователь может с помощью специально сформированного XPM файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.irfanview.com/plugins.htm

Решение: Установите последнюю версию 4.23 с сайта производителя.

Ссылки: Secunia Research: IrfanView Formats Plug-in XPM Parsing Integer Overflow